com.io7m.jstructural.annotated

## Class SAFormalItem

- java.lang.Object
- - com.io7m.jstructural.annotated.SAFormalItem

- All Implemented Interfaces:
    SASubsectionContent

      @Immutable
      public final class SAFormalItem
      extends Object
      implements SASubsectionContent

  A formal item.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `SAFormalItemContent` | `getContent()`
    `int` | `getFormalNumber()`
    `String` | `getKind()`
    `SAFormalItemNumber` | `getNumber()`
    `SAFormalItemTitle` | `getTitle()`
    `com.io7m.jaux.functional.Option<String>` | `getType()`
    `int` | `hashCode()`
    `<A> A` | `subsectionContentAccept(SASubsectionContentVisitor<A> v)` Accept a section content visitor.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getContent

          @Nonnull
          public SAFormalItemContent getContent()

      Returns:
        The formal item content

    - #### getFormalNumber

          public int getFormalNumber()

      Returns:
        The formal item number.

    - #### getKind

          @Nonnull
          public String getKind()

      Returns:
        The kind of formal item

    - #### getNumber

          @Nonnull
          public SAFormalItemNumber getNumber()

      Returns:
        The formal item number

    - #### getTitle

          @Nonnull
          public SAFormalItemTitle getTitle()

      Returns:
        The formal item title

    - #### getType

          @Nonnull
          public com.io7m.jaux.functional.Option<String> getType()

      Returns:
        The formal item type attribute, if specified

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### subsectionContentAccept

          public <A> A subsectionContentAccept(@Nonnull
                                      SASubsectionContentVisitor<A> v)
                                    throws com.io7m.jaux.Constraints.ConstraintError,
                                           Exception

      Description copied from interface: `SASubsectionContent`
      Accept a section content visitor.
      Specified by:
        `subsectionContentAccept` in interface `SASubsectionContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If the visitor raises a `Constraints.ConstraintError`
        `Exception` - If the visitor raises and `Exception`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All rights reserved.